--- title: "UploadPartCopy" slug: "ncloudstorage-uploadpartcopy" updated: 2026-10-08T04:17:30Z published: 2026-10-08T04:17:30Z canonical: "api.ncloud-docs.com/ncloudstorage-uploadpartcopy" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # UploadPartCopy Available in Classic and VPC Copy an object stored in a Ncloud Storage bucket and upload it as a part of a multipart upload. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /{Key} | ### Request headers The following describes the request headers: Note For information about the request headers common to all Ncloud Storage APIs, see [Ncloud Storage request headers](/docs/en/storage-ncloudstorage#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). | Field | Required | Description | | --- | --- | --- | | `x-amz-copy-source` | Required | Target object to copy - Enter in the `{bucket name}/{object name}` format. - Bucket name: See [ListBuckets](/docs/en/ncloudstorage-listbuckets). - Object name: See [ListObjectsV2](/docs/en/ncloudstorage-listobjectsv2). - Example: `bucket/object.csv` - To copy a specific version of an object from a bucket with version control enabled, add `?versionId={versionId}` to the input. - Check version ID: See [ListObjectVersions](/docs/en/ncloudstorage-listobjectversions). | | `Cache-Control` | Optional | Caching behavior | | `Content-Disposition` | Optional | Display format of requested data | | `Content-Encoding` | Optional | Encoding format of requested data | | `Content-Language` | Optional | Request data language | | `Content-Type` | Optional | Request data format | | `x-amz-metadata-directive` | Optional | Metadata processing method - `COPY` (default) \| `REPLACE` - `COPY`: Copy original. - `REPLACE`: Redefine. | | `x-amz-storage-class` | Optional | Storage class - `STANDARD` (default) \| `ONEZONE_IA` \| `DEEP_ARCHIVE` - `STANDARD`: Standard Class - `ONEZONE_IA`: One Zone-IA (Infrequent Access) Class - `DEEP_ARCHIVE`: Archive Class | | `x-amz-copy-source-range` | Optional | Range of bytes to copy from the source | | `x-amz-server-side-encryption-customer-algorithm` | Optional | User encryption algorithm (AES256) | | `x-amz-server-side-encryption-customer-key` | Optional | User-provided encryption key | | `x-amz-server-side-encryption-customer-key-MD5` | Optional | User-provided encryption key's MD5 value | | `x-amz-copy-source-server-side-encryption-customer-algorithm` | Optional | User encryption algorithm (AES256) of the source | | `x-amz-copy-source-server-side-encryption-customer-key` | Optional | User-provided encryption key of the source | | `x-amz-copy-source-server-side-encryption-customer-key-MD5` | Optional | MD5 value of the source user-provided encryption key | ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `Key` | String | Required | Object name - See [CreateMultipartUpload](/docs/en/ncloudstorage-createmultipartupload). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `partNumber` | Integer | Required | Part number - 1-10,000 | | `uploadId` | String | Required | Multipart upload ID - See [CreateMultipartUpload](/docs/en/ncloudstorage-createmultipartupload). | ### Request example The request example is as follows: ``` PUT /object.zip?partNumber=2&uploadId=2c5f5e8c-****-****-****-9cc2c468d0e9 HTTP/1.1 Host: bucket.kr.ncloudstorage.com x-amz-copy-source: bucket/part2.zip Cache-Control: no-cache Content-Language: en ``` ## Response This section describes the response format. ### Response headers For information about the request headers common to all Ncloud Storage APIs, see [Ncloud Storage response headers](/docs/en/storage-ncloudstorage#%EC%9D%91%EB%8B%B5%ED%97%A4%EB%8D%94). ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `CopyPartResult` | Object | - | Multipart upload result for the object copy | | `CopyPartResult.LastModified` | String | - | Last modification date and time - ISO 8601 format | | `CopyPartResult.ETag` | String | - | Unique object identifier (entity tag) | ### Response status codes For information about the response status codes common to all Ncloud Storage APIs, see [Common Ncloud Storage response status codes](/docs/en/storage-ncloudstorage#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` HTTP/1.1 200 OK 2025-04-29T08:10:32.000Z "d8c2eafd90c***********acc479f8af" ```